path: /build/build/libkworkspace-kde-plasma-5-5.27.9.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test" emerge kde-plasma/libkworkspace:5 -pv -t && \
    USE="-test" emerge -j ${JOBS} --nodeps kde-plasma/libkworkspace:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libkworkspace && luet-portage --dir
    /pkgdir/libkworkspace kde-plasma/libkworkspace:5 && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:fb34d784b2ee0212337ddef3046c857c18dbe46c9604a6ce9e28dd2574fe177d
  package:
    name: libkworkspace
    version: 5.27.9
    category: kde-plasma-5
    use_flags:
    - -test
    requires:
    - name: kdesu
      version: '>=0'
      category: kde-frameworks-5
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Workspace library to interact with the Plasma session manager
    uri:
    - https://kde.org/
    license: GPL-2
    buildtimestamp: 2024-02-12 19:21:51.586258721 +0000 UTC m=+190.974602047
    labels:
      BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.98.0:5
      DEPEND: '>=dev-qt/qtdbus-5.15.2:5 >=dev-qt/qtx11extras-5.15.2:5 >=kde-frameworks/kconfig-5.98.0:5
        >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/kinit-5.98.0:5
        >=kde-frameworks/kwindowsystem-5.98.0:5 >=kde-frameworks/plasma-5.98.0:5 >=kde-plasma/kscreenlocker-5.27.9:5
        x11-libs/libICE x11-libs/libSM x11-libs/libX11 x11-libs/libXau >=kde-plasma/kwin-5.27.9:5
        dev-util/desktop-file-utils x11-misc/shared-mime-info test? ( >=dev-qt/qttest-5.15.2:5
        ) >=dev-qt/qtcore-5.15.2:5 dev-util/desktop-file-utils'
      IUSE: debug test
      RDEPEND: '>=dev-qt/qtdbus-5.15.2:5 >=dev-qt/qtx11extras-5.15.2:5 >=kde-frameworks/kconfig-5.98.0:5
        >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/kinit-5.98.0:5
        >=kde-frameworks/kwindowsystem-5.98.0:5 >=kde-frameworks/plasma-5.98.0:5 >=kde-plasma/kscreenlocker-5.27.9:5
        x11-libs/libICE x11-libs/libSM x11-libs/libX11 x11-libs/libXau >=kde-frameworks/kf-env-4
        || ( >=kde-frameworks/breeze-icons-5.98.0:5 kde-frameworks/oxygen-icons:*
        ) >=dev-qt/qtcore-5.15.2:5'
      emerge.packages: kde-plasma/libkworkspace:5
      kit: kde-kit
      original.package.name: kde-plasma/libkworkspace
      original.package.slot: "5"
      original.package.version: 5.27.9
    treedir: /build/packages
  package_dir: /pkgdir/libkworkspace
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 3bcd4cb5cec18538b5af51e40d2cd158f40d9c41916fbe280e55cc3056c66e8c
compressiontype: zstd
files:
- usr/include/kworkspace5/autostartscriptdesktopfile.h
- usr/include/kworkspace5/config-libkworkspace.h
- usr/include/kworkspace5/kdisplaymanager.h
- usr/include/kworkspace5/kworkspace.h
- usr/include/kworkspace5/kworkspace_export.h
- usr/include/kworkspace5/sessionmanagement.h
- usr/include/kworkspace5/sessionmanagementbackend.h
- usr/include/kworkspace5/updatelaunchenvjob.h
- usr/lib64/cmake/LibKWorkspace/LibKWorkspaceConfig.cmake
- usr/lib64/cmake/LibKWorkspace/LibKWorkspaceConfigVersion.cmake
- usr/lib64/cmake/LibKWorkspace/LibKWorkspaceLibraryTargets-gentoo.cmake
- usr/lib64/cmake/LibKWorkspace/LibKWorkspaceLibraryTargets.cmake
- usr/lib64/libkworkspace5.so
- usr/lib64/libkworkspace5.so.5
- usr/lib64/libkworkspace5.so.5.27.9
- usr/share/locale/ar/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/az/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/be/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/be@latin/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/bg/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/bn_IN/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/bs/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/ca/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/ca@valencia/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/cs/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/csb/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/da/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/de/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/el/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/en_GB/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/eo/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/es/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/et/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/eu/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/fa/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/fi/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/fr/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/fy/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/ga/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/gl/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/gu/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/he/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/hi/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/hne/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/hr/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/hsb/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/hu/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/ia/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/id/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/is/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/it/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/ja/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/ka/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/kk/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/km/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/kn/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/ko/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/ku/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/lt/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/lv/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/mai/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/mk/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/ml/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/mr/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/ms/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/nb/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/nds/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/ne/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/nl/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/nn/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/oc/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/or/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/pa/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/pl/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/pt/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/pt_BR/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/ro/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/ru/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/se/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/si/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/sk/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/sl/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/sq/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/sr/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/sr@ijekavian/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/sr@ijekavianlatin/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/sr@latin/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/sv/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/ta/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/te/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/tg/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/th/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/tok/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/tr/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/ug/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/uk/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/vi/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/wa/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/zh_CN/LC_MESSAGES/libkworkspace.mo
- usr/share/locale/zh_TW/LC_MESSAGES/libkworkspace.mo
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/BDEPEND
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/BUILD_TIME
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/CATEGORY
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/CBUILD
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/CFLAGS
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/CHOST
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/CONTENTS
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/COUNTER
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/CXXFLAGS
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/DEFINED_PHASES
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/DEPEND
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/DESCRIPTION
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/EAPI
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/FEATURES
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/HOMEPAGE
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/INHERITED
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/IUSE
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/IUSE_EFFECTIVE
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/KEYWORDS
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/LDFLAGS
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/LICENSE
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/NEEDED
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/PF
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/PROVIDES
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/RDEPEND
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/REQUIRES
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/SIZE
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/SLOT
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/USE
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/environment.bz2
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/libkworkspace-5.27.9.ebuild
- var/db/pkg/kde-plasma/libkworkspace-5.27.9/repository
package_cacheimage: ""
runtime:
  name: libkworkspace
  version: 5.27.9
  category: kde-plasma-5
  use_flags:
  - -test
  requires:
  - name: kinit
    version: '>=0'
    category: kde-frameworks-5
  - name: kscreenlocker
    version: '>=0'
    category: kde-plasma-5
  - name: libSM
    version: '>=0'
    category: x11-libs
  - name: libXau
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Workspace library to interact with the Plasma session manager
  uri:
  - https://kde.org/
  license: GPL-2
  labels:
    BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.98.0:5
    DEPEND: '>=dev-qt/qtdbus-5.15.2:5 >=dev-qt/qtx11extras-5.15.2:5 >=kde-frameworks/kconfig-5.98.0:5
      >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/kinit-5.98.0:5
      >=kde-frameworks/kwindowsystem-5.98.0:5 >=kde-frameworks/plasma-5.98.0:5 >=kde-plasma/kscreenlocker-5.27.9:5
      x11-libs/libICE x11-libs/libSM x11-libs/libX11 x11-libs/libXau >=kde-plasma/kwin-5.27.9:5
      dev-util/desktop-file-utils x11-misc/shared-mime-info test? ( >=dev-qt/qttest-5.15.2:5
      ) >=dev-qt/qtcore-5.15.2:5 dev-util/desktop-file-utils'
    IUSE: debug test
    RDEPEND: '>=dev-qt/qtdbus-5.15.2:5 >=dev-qt/qtx11extras-5.15.2:5 >=kde-frameworks/kconfig-5.98.0:5
      >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/kinit-5.98.0:5
      >=kde-frameworks/kwindowsystem-5.98.0:5 >=kde-frameworks/plasma-5.98.0:5 >=kde-plasma/kscreenlocker-5.27.9:5
      x11-libs/libICE x11-libs/libSM x11-libs/libX11 x11-libs/libXau >=kde-frameworks/kf-env-4
      || ( >=kde-frameworks/breeze-icons-5.98.0:5 kde-frameworks/oxygen-icons:* )
      >=dev-qt/qtcore-5.15.2:5'
    emerge.packages: kde-plasma/libkworkspace:5
    kit: kde-kit
    original.package.name: kde-plasma/libkworkspace
    original.package.slot: "5"
    original.package.version: 5.27.9
